package lcsb.mapviewer.common;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.PropertySource;
import org.springframework.context.annotation.PropertySources;
import org.springframework.stereotype.Service;

@Service
@PropertySources({
    @PropertySource(value = "file:/etc/minerva/minerva.properties", ignoreResourceNotFound = true)
})
public class MinervaConfigurationHolder {

  @Value("${batch.threads:2}")
  private Integer batchThreads;

  @Value("${data.path:/usr/share/minerva/data/}")
  private String dataPath = null;

  public Integer getBatchThreads() {
    return batchThreads;
  }

  public String getDataPath() {
    return dataPath;
  }
}
