package lcsb.mapviewer.web.app;

import java.io.IOException;

import javax.servlet.http.HttpServletResponse;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import lcsb.mapviewer.services.interfaces.IConfigurationService;

@Controller

public class FrontendController {

  @SuppressWarnings("unused")
  private Logger logger = LogManager.getLogger();

  @Autowired
  private IConfigurationService configurationService;

  @GetMapping({
      "/minerva/",
      "/minerva/index.xhtml",
  })
  public String index(final Model model) {
    model.addAttribute("version", configurationService.getSystemGitVersion());
    return "index";
  }

  @GetMapping({
      "/minerva/admin",
      "/minerva/admin.xhtml",
  })
  public String admin(final Model model) {
    model.addAttribute("version", configurationService.getSystemGitVersion());
    return "admin";
  }

  @GetMapping({
      "/minerva/login",
      "/minerva/login.xhtml",
  })
  public String login(final Model model) {
    model.addAttribute("version", configurationService.getSystemGitVersion());
    return "login";
  }

  @GetMapping({
      "/minerva/export",
      "/minerva/export.xhtml",
  })
  public String export(final Model model) {
    model.addAttribute("version", configurationService.getSystemGitVersion());
    return "export";
  }

  @GetMapping({
      "/minerva/default-cookie-policy",
      "/minerva/default-cookie-policy.xhtml",
  })
  public String defaultCookiePolicy(final Model model) {
    model.addAttribute("version", configurationService.getSystemGitVersion());
    return "default-cookie-policy";
  }

  @RequestMapping("/")
  public void mainIndex(final HttpServletResponse response) throws IOException {
    response.sendRedirect("/minerva/");
  }

  @RequestMapping("/minerva/docs/")
  public void docs(final HttpServletResponse response) throws IOException {
    response.sendRedirect("/minerva/docs/index.html");
  }
}
